Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/dom_oce.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/dom_oce.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/dom_oce.F90	(revision 6596)
@@ -57,21 +57,4 @@
    INTEGER,  PUBLIC :: nn_baro           !: Number of barotropic iterations during one baroclinic step (rdt)
    REAL(wp), PUBLIC :: rn_bt_cmax        !: Maximum allowed courant number (used if ln_bt_auto=T)
-
-   !! Horizontal grid parameters for domhgr
-   !! =====================================
-   INTEGER       ::   jphgr_msh          !: type of horizontal mesh
-   !                                       !  = 0 curvilinear coordinate on the sphere read in coordinate.nc
-   !                                       !  = 1 geographical mesh on the sphere with regular grid-spacing
-   !                                       !  = 2 f-plane with regular grid-spacing
-   !                                       !  = 3 beta-plane with regular grid-spacing
-   !                                       !  = 4 Mercator grid with T/U point at the equator
-
-   REAL(wp)      ::   ppglam0            !: longitude of first raw and column T-point (jphgr_msh = 1)
-   REAL(wp)      ::   ppgphi0            !: latitude  of first raw and column T-point (jphgr_msh = 1)
-   !                                                        !  used for Coriolis & Beta parameters (jphgr_msh = 2 or 3)
-   REAL(wp)      ::   ppe1_deg           !: zonal      grid-spacing (degrees)
-   REAL(wp)      ::   ppe2_deg           !: meridional grid-spacing (degrees)
-   REAL(wp)      ::   ppe1_m             !: zonal      grid-spacing (degrees)
-   REAL(wp)      ::   ppe2_m             !: meridional grid-spacing (degrees)
 
    !! Vertical grid parameter for domzgr
@@ -102,17 +85,11 @@
 
    !                                                  !!! associated variables
-   INTEGER , PUBLIC                 ::   neuler        !: restart euler forward option (0=Euler)
-   REAL(wp), PUBLIC                 ::   atfp1         !: asselin time filter coeff. (atfp1= 1-2*atfp)
-   REAL(wp), PUBLIC                 ::   r2dt          !: = 2*rdt except at nit000 (=rdt) if neuler=0
+   INTEGER , PUBLIC ::   neuler        !: restart euler forward option (0=Euler)
+   REAL(wp), PUBLIC ::   atfp1         !: asselin time filter coeff. (atfp1= 1-2*atfp)
+   REAL(wp), PUBLIC ::   r2dt          !: = 2*rdt except at nit000 (=rdt) if neuler=0
 
    !!----------------------------------------------------------------------
    !! space domain parameters
    !!----------------------------------------------------------------------
-   LOGICAL, PUBLIC ::   lzoom      =  .FALSE.   !: zoom flag
-   LOGICAL, PUBLIC ::   lzoom_e    =  .FALSE.   !: East  zoom type flag
-   LOGICAL, PUBLIC ::   lzoom_w    =  .FALSE.   !: West  zoom type flag
-   LOGICAL, PUBLIC ::   lzoom_s    =  .FALSE.   !: South zoom type flag
-   LOGICAL, PUBLIC ::   lzoom_n    =  .FALSE.   !: North zoom type flag
-
    !                                     !!! domain parameters linked to mpp
    INTEGER, PUBLIC ::   nperio            !: type of lateral boundary condition
@@ -166,5 +143,5 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   e1e2f , r1_e1e2f                !: associated metrics at f-point
    !
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   ff                              !: coriolis factor                   [1/s]
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   ff_f, ff_t                      !: coriolis factor at f- and t-point         [1/s]
 
    !!----------------------------------------------------------------------
@@ -229,13 +206,12 @@
    !! ---------------------------------------------------------------------
    INTEGER , PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   mbathy             !: number of ocean level (=0, 1, ... , jpk-1)
-   INTEGER , PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   mbkt               !: vertical index of the bottom last T- ocean level
-   INTEGER , PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   mbku, mbkv         !: vertical index of the bottom last U- and W- ocean level
+   INTEGER , PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   mbkt, mbku, mbkv   !: bottom last wet T-, U- and W-level
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   bathy              !: ocean depth (meters)
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   tmask_i            !: interior domain T-point mask
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   tmask_h            !: internal domain T-point mask (Figure 8.5 NEMO book)
 
-   INTEGER , PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   misfdep                 !: top first ocean level                (ISF)
-   INTEGER , PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   mikt, miku, mikv, mikf  !: first wet T-, U-, V-, F- ocean level (ISF)
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   risfdep                 !: Iceshelf draft                       (ISF)
+   INTEGER , PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   misfdep                 !: top first ocean level             (ISF)
+   INTEGER , PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   mikt, miku, mikv, mikf  !: top first wet T-, U-, V-, F-level (ISF)
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   risfdep                 !: Iceshelf draft                    (ISF)
 
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   ssmask, ssumask, ssvmask, ssfmask    !: surface mask at T-,U-, V- and F-pts
@@ -319,6 +295,6 @@
          &      njmppt(jpnij) , ibonjt(jpnij) , nldit(jpnij) , nldjt(jpnij) ,     &
          &                                      nleit(jpnij) , nlejt(jpnij) ,     &
-         &      mi0(jpidta)   , mi1 (jpidta),  mj0(jpjdta)   , mj1 (jpjdta),      &
-         &      tpol(jpiglo)  , fpol(jpiglo)                               , STAT=ierr(2) )
+         &      mi0(jpidta)   , mi1 (jpidta),  mj0(jpjdta)   , mj1 (jpjdta) ,     &
+         &      tpol(jpiglo)  , fpol(jpiglo)                                , STAT=ierr(2) )
          !
       ALLOCATE( glamt(jpi,jpj) ,    glamu(jpi,jpj) ,  glamv(jpi,jpj) ,  glamf(jpi,jpj) ,     &
@@ -332,7 +308,7 @@
          &      e1e2v(jpi,jpj) , r1_e1e2v(jpi,jpj) , e1_e2v(jpi,jpj)                   ,     &
          &      e1e2f(jpi,jpj) , r1_e1e2f(jpi,jpj)                                     ,     &
-         &        ff (jpi,jpj)                                                         , STAT=ierr(3) )
-         !
-      ALLOCATE( gdept_0(jpi,jpj,jpk) , gdepw_0(jpi,jpj,jpk) , gde3w_0(jpi,jpj,jpk) ,     &
+         &      ff_f (jpi,jpj) ,    ff_t (jpi,jpj)                                     , STAT=ierr(3) )
+         !
+      ALLOCATE( gdept_0(jpi,jpj,jpk) , gdepw_0(jpi,jpj,jpk) , gde3w_0(jpi,jpj,jpk) ,      &
          &      gdept_b(jpi,jpj,jpk) , gdepw_b(jpi,jpj,jpk) ,                             &
          &      gdept_n(jpi,jpj,jpk) , gdepw_n(jpi,jpj,jpk) , gde3w_n(jpi,jpj,jpk) , STAT=ierr(4) )
@@ -364,16 +340,14 @@
          &      hift  (jpi,jpj) , hifu  (jpi,jpj) , rx1(jpi,jpj) , STAT=ierr(8) )
 
-      ALLOCATE( mbathy(jpi,jpj) , bathy  (jpi,jpj) ,                                       &
-         &     tmask_i(jpi,jpj) , tmask_h(jpi,jpj) ,                                       & 
-         &     ssmask (jpi,jpj) , ssumask(jpi,jpj) , ssvmask(jpi,jpj) , ssfmask(jpi,jpj) , &
-         &     mbkt   (jpi,jpj) , mbku   (jpi,jpj) , mbkv   (jpi,jpj) , STAT=ierr(9) )
-
-! (ISF) Allocation of basic array   
-      ALLOCATE( misfdep(jpi,jpj) , risfdep(jpi,jpj),     &
-         &     mikt(jpi,jpj), miku(jpi,jpj), mikv(jpi,jpj) ,           &
-         &     mikf(jpi,jpj), STAT=ierr(10) )
-
-      ALLOCATE( tmask(jpi,jpj,jpk) , umask(jpi,jpj,jpk),     & 
-         &      vmask(jpi,jpj,jpk) , fmask(jpi,jpj,jpk), STAT=ierr(11) )
+      ALLOCATE( mbathy (jpi,jpj) , bathy  (jpi,jpj) ,                                       &
+         &      tmask_i(jpi,jpj) , tmask_h(jpi,jpj) ,                                       & 
+         &      ssmask (jpi,jpj) , ssumask(jpi,jpj) , ssvmask(jpi,jpj) , ssfmask(jpi,jpj) , &
+         &      mbkt   (jpi,jpj) , mbku   (jpi,jpj) , mbkv   (jpi,jpj) , STAT=ierr(9) )
+
+      ALLOCATE( misfdep(jpi,jpj) , mikt(jpi,jpj) , miku(jpi,jpj) ,     &
+         &      risfdep(jpi,jpj) , mikv(jpi,jpj) , mikf(jpi,jpj) , STAT=ierr(10) )
+
+      ALLOCATE( tmask(jpi,jpj,jpk) , umask(jpi,jpj,jpk) ,     & 
+         &      vmask(jpi,jpj,jpk) , fmask(jpi,jpj,jpk) , STAT=ierr(11) )
 
       ALLOCATE( wmask(jpi,jpj,jpk) , wumask(jpi,jpj,jpk), wvmask(jpi,jpj,jpk) , STAT=ierr(12) )
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90	(revision 6596)
@@ -166,6 +166,5 @@
          &             ln_cfmeta, ln_iscpl
       NAMELIST/namdom/ nn_bathy, rn_bathy , rn_e3zps_min, rn_e3zps_rat, nn_msh, rn_hmin, rn_isfhmin, &
-         &             rn_atfp , rn_rdt   , nn_closea   , ln_crs      , jphgr_msh ,                  &
-         &             ppglam0, ppgphi0, ppe1_deg, ppe2_deg, ppe1_m, ppe2_m,                         &
+         &             rn_atfp , rn_rdt   , nn_closea   , ln_crs      ,                              &
          &             ppsur, ppa0, ppa1, ppkth, ppacr, ppdzmin, pphmax, ldbletanh,                  &
          &             ppa2, ppkth2, ppacr2
@@ -295,11 +294,5 @@
          WRITE(numout,*) '      suppression of closed seas (=0)       nn_closea = ', nn_closea
          WRITE(numout,*) '      online coarsening of dynamical fields ln_crs    = ', ln_crs
-         WRITE(numout,*) '      type of horizontal mesh jphgr_msh           = ', jphgr_msh
-         WRITE(numout,*) '      longitude of first raw and column T-point ppglam0 = ', ppglam0
-         WRITE(numout,*) '      latitude  of first raw and column T-point ppgphi0 = ', ppgphi0
-         WRITE(numout,*) '      zonal      grid-spacing (degrees) ppe1_deg        = ', ppe1_deg
-         WRITE(numout,*) '      meridional grid-spacing (degrees) ppe2_deg        = ', ppe2_deg
-         WRITE(numout,*) '      zonal      grid-spacing (degrees) ppe1_m          = ', ppe1_m
-         WRITE(numout,*) '      meridional grid-spacing (degrees) ppe2_m          = ', ppe2_m
+
          WRITE(numout,*) '      ORCA r4, r2 and r05 coefficients  ppsur           = ', ppsur
          WRITE(numout,*) '                                        ppa0            = ', ppa0
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domcfg.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domcfg.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domcfg.F90	(revision 6596)
@@ -9,13 +9,14 @@
 
    !!----------------------------------------------------------------------
-   !!   dom_cfg        : initialize the domain configuration
+   !!   dom_cfg       : initialize the domain configuration
    !!----------------------------------------------------------------------
-   USE dom_oce         ! ocean space and time domain
-   USE phycst          ! physical constants
-   USE in_out_manager  ! I/O manager
-   USE lib_mpp         ! distributed memory computing library
-   USE timing          ! Timing
-   USE c1d             ! 1D configuration
-   USE domc1d          ! 1D configuration: column location
+   USE dom_oce        ! ocean space and time domain
+   USE phycst         ! physical constants
+   !
+   USE in_out_manager ! I/O manager
+   USE lib_mpp        ! distributed memory computing library
+   USE timing         ! Timing
+   USE c1d            ! 1D configuration
+   USE domc1d         ! 1D configuration: column location
 
    IMPLICIT NONE
@@ -71,51 +72,47 @@
       !!                     ***  ROUTINE dom_glo  ***
       !!
-      !! ** Purpose :   initialization for global domain, zoom and local domain
+      !! ** Purpose :   initialization for global and local domain
       !!
       !! ** Method  :   
       !!
-      !! ** Action  : - mig  , mjg : 
-      !!              - mi0  , mi1   :
-      !!              - mj0, , mj1   :
+      !! ** Action  : - mig , mjg : local  domain indices ==> global domain indices
+      !!              - mi0 , mi1 : global domain indices ==> local  domain indices
+      !!              - mj0,, mj1   (global point not in the local domain ==> mi0>mi1 and/or mj0>mj1)
       !!----------------------------------------------------------------------
       INTEGER ::   ji, jj   ! dummy loop argument
       !!----------------------------------------------------------------------
-      !                              ! recalculate jpizoom/jpjzoom given lat/lon
+!!gm  This should be removed with the new configuration interface
+      !                              ! recalculate jp_izoom/jp_jzoom given lat/lon
       IF( lk_c1d .AND. ln_c1d_locpt )  CALL dom_c1d( rn_lat1d, rn_lon1d )
+!!gm end
       !
       !                        ! ============== !
       !                        !  Local domain  ! 
       !                        ! ============== !
-      DO ji = 1, jpi                 ! local domain indices ==> data domain indices
-        mig(ji) = ji + jpizoom - 1 + nimpp - 1
+      DO ji = 1, jpi                 ! local domain indices ==> global domain indices
+        mig(ji) = ji + nimpp - 1
       END DO
       DO jj = 1, jpj
-        mjg(jj) = jj + jpjzoom - 1 + njmpp - 1
+        mjg(jj) = jj + njmpp - 1
       END DO
       !
-      !                              ! data domain indices ==> local domain indices
+      !                              ! global domain indices ==> local domain indices
       !                                   ! (return (m.0,m.1)=(1,0) if data domain gridpoint is to the west/south of the 
       !                                   !local domain, or (m.0,m.1)=(jp.+1,jp.) to the east/north of local domain. 
-      DO ji = 1, jpidta
-        mi0(ji) = MAX( 1, MIN( ji - jpizoom + 1 - nimpp + 1, jpi+1 ) )
-        mi1(ji) = MAX( 0, MIN( ji - jpizoom + 1 - nimpp + 1, jpi   ) )
+      DO ji = 1, jpiglo
+        mi0(ji) = MAX( 1 , MIN( ji - nimpp + 1, jpi+1 ) )
+        mi1(ji) = MAX( 0 , MIN( ji - nimpp + 1, jpi   ) )
       END DO
-      DO jj = 1, jpjdta
-        mj0(jj) = MAX( 1, MIN( jj - jpjzoom + 1 - njmpp + 1, jpj+1 ) )
-        mj1(jj) = MAX( 0, MIN( jj - jpjzoom + 1 - njmpp + 1, jpj   ) )
+      DO jj = 1, jpjglo
+        mj0(jj) = MAX( 1 , MIN( jj - njmpp + 1, jpj+1 ) )
+        mj1(jj) = MAX( 0 , MIN( jj - njmpp + 1, jpj   ) )
       END DO
       IF(lwp) THEN                   ! control print
          WRITE(numout,*)
-         WRITE(numout,*) 'dom_glo : domain: data / local '
+         WRITE(numout,*) 'dom_glo : domain: global <<==>> local '
          WRITE(numout,*) '~~~~~~~ '
-         WRITE(numout,*) '          data input domain    : jpidta = ', jpidta,   &
-            &                                            ' jpjdta = ', jpjdta, ' jpkdta = ', jpkdta
-         WRITE(numout,*) '          global or zoom domain: jpiglo = ', jpiglo,   &
-            &                                            ' jpjglo = ', jpjglo, ' jpk    = ', jpk
-         WRITE(numout,*) '          local domain         : jpi    = ', jpi   ,   &
-            &                                            ' jpj    = ', jpj   , ' jpk    = ', jpk
+         WRITE(numout,*) '          global domain:   jpiglo = ', jpiglo, ' jpjglo = ', jpjglo, ' jpkglo = ', jpkglo
+         WRITE(numout,*) '          local  domain:   jpi    = ', jpi   , ' jpj    = ', jpj   , ' jpk    = ', jpk
          WRITE(numout,*)
-         WRITE(numout,*) '          south-west indices    jpizoom = ', jpizoom,   &
-            &                                           ' jpjzoom = ', jpjzoom
          IF( nn_print >= 1 ) THEN
             WRITE(numout,*)
@@ -125,7 +122,7 @@
             WRITE(numout,*) '          conversion data   ==> local  i-index domain'
             WRITE(numout,*) '             starting index'
-            WRITE(numout,25)              (mi0(ji),ji = 1,jpidta)
+            WRITE(numout,25)              (mi0(ji),ji = 1,jpiglo)
             WRITE(numout,*) '             ending index'
-            WRITE(numout,25)              (mi1(ji),ji = 1,jpidta)
+            WRITE(numout,25)              (mi1(ji),ji = 1,jpiglo)
             WRITE(numout,*)
             WRITE(numout,*) '          conversion local  ==> data j-index domain'
@@ -134,66 +131,11 @@
             WRITE(numout,*) '          conversion data  ==> local j-index domain'
             WRITE(numout,*) '             starting index'
-            WRITE(numout,25)              (mj0(jj),jj = 1,jpjdta)
+            WRITE(numout,25)              (mj0(jj),jj = 1,jpjglo)
             WRITE(numout,*) '             ending index'
-            WRITE(numout,25)              (mj1(jj),jj = 1,jpjdta)
+            WRITE(numout,25)              (mj1(jj),jj = 1,jpjglo)
          ENDIF
       ENDIF
  25   FORMAT( 100(10x,19i4,/) )
 
-      !                        ! ============== !
-      !                        !  Zoom domain   !
-      !                        ! ============== !
-      !                              ! zoom control
-      IF( jpiglo + jpizoom - 1  >  jpidta .OR.   &
-          jpjglo + jpjzoom - 1  >  jpjdta      ) &
-          &   CALL ctl_stop( ' global or zoom domain exceed the data domain ! ' )
-
-      !                              ! set zoom flag
-      IF( jpiglo < jpidta .OR. jpjglo < jpjdta )   lzoom = .TRUE.
-
-      !                              ! set zoom type flags
-      IF( lzoom .AND. jpizoom /= 1 )   lzoom_w = .TRUE.                     ! 
-      IF( lzoom .AND. jpjzoom /= 1 )   lzoom_s = .TRUE.
-      IF( lzoom .AND. jpiglo + jpizoom -1 /= jpidta )   lzoom_e = .TRUE.
-      IF( lzoom .AND. jpjglo + jpjzoom -1 /= jpjdta )   lzoom_n = .TRUE.
-      IF(lwp) THEN
-         WRITE(numout,*)
-         WRITE(numout,*) '          zoom flags : '
-         WRITE(numout,*) '             lzoom   = ', lzoom  , ' (T = zoom, F = global )'
-         WRITE(numout,*) '             lzoom_e = ', lzoom_e, ' (T = forced closed east  boundary)'
-         WRITE(numout,*) '             lzoom_w = ', lzoom_w, ' (T = forced closed west  boundary)'
-         WRITE(numout,*) '             lzoom_s = ', lzoom_s, ' (T = forced closed South boundary)'
-         WRITE(numout,*) '             lzoom_n = ', lzoom_n, ' (T = forced closed North boundary)'
-      ENDIF
-      IF(  ( lzoom_e .OR. lzoom_w )  .AND.  ( jperio == 1 .OR. jperio == 4 .OR. jperio == 6 )  )   &
-           &   CALL ctl_stop( ' Your zoom choice is inconsistent with east-west cyclic boundary condition' )
-      IF(  lzoom_n  .AND.  ( 3 <= jperio .AND. jperio <= 6 )  )   &
-           &   CALL ctl_stop( ' Your zoom choice is inconsistent with North fold boundary condition' )
-
-      !                              ! Pre-defined arctic/antarctic zoom of ORCA configuration flag
-      IF( cp_cfg == "orca" ) THEN
-         SELECT CASE ( jp_cfg )
-         CASE ( 2 )                               !  ORCA_R2 configuration
-            IF(  cp_cfz == "arctic"    .AND. jpiglo  == 142    .AND. jpjglo  ==  53 .AND.   &
-               & jpizoom ==  21    .AND. jpjzoom ==  97         )   THEN
-              IF(lwp) WRITE(numout,*) '          ORCA configuration: arctic zoom '
-            ENDIF
-            IF(  cp_cfz == "antarctic" .AND. jpiglo  == jpidta .AND. jpjglo  ==  50 .AND.   &
-               & jpizoom ==   1    .AND. jpjzoom ==   1         )   THEN
-              IF(lwp) WRITE(numout,*) '          ORCA configuration: antarctic zoom '
-            ENDIF
-            !                             
-         CASE ( 05 )                              !  ORCA_R05 configuration
-            IF(    cp_cfz == "arctic"    .AND. jpiglo  == 562    .AND. jpjglo  == 202 .AND.   &
-               & jpizoom ==  81    .AND. jpjzoom == 301         )   THEN
-              IF(lwp) WRITE(numout,*) '          ORCA configuration: arctic zoom '
-            ENDIF
-            IF(    cp_cfz == "antarctic" .AND. jpiglo  == jpidta .AND. jpjglo  == 187 .AND.   &
-               & jpizoom ==   1    .AND. jpjzoom ==   1         )   THEN
-              IF(lwp) WRITE(numout,*) '          ORCA configuration: antarctic zoom '
-            ENDIF
-         END SELECT
-         !
-      ENDIF
       !
    END SUBROUTINE dom_glo
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domhgr.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domhgr.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domhgr.F90	(revision 6596)
@@ -95,5 +95,5 @@
          CALL hgr_read   ( glamt , glamu , glamv , glamf ,   &    ! geographic position (required)
             &              gphit , gphiu , gphiv , gphif ,   &    !     -        -
-            &              iff   , ff    ,                   &    ! Coriolis parameter (if not on the sphere)
+            &              iff   , ff_f  , ff_t  ,           &    ! Coriolis parameter (if not on the sphere)
             &              e1t   , e1u   , e1v   , e1f   ,   &    ! scale factors (required)
             &              e2t   , e2u   , e2v   , e2f   ,   &    !    -     -        -
@@ -106,5 +106,5 @@
          CALL usr_def_hgr( glamt , glamu , glamv , glamf ,   &    ! geographic position (required)
             &              gphit , gphiu , gphiv , gphif ,   &    !
-            &              iff   , ff    ,                   &    ! Coriolis parameter  (if domain not on the sphere)
+            &              iff   , ff_f  , ff_t  ,           &    ! Coriolis parameter  (if domain not on the sphere)
             &              e1t   , e1u   , e1v   , e1f   ,   &    ! scale factors       (required)
             &              e2t   , e2u   , e2v   , e2f   ,   &    !
@@ -116,6 +116,7 @@
       !
       IF( iff == 0 ) THEN                 ! Coriolis parameter has not been defined 
-         IF(lwp) WRITE(numout,*) '          Coriolis parameter calculated on the sphere from gphif'
-         ff(:,:) = 2. * omega * SIN( rad * gphif(:,:) )     ! compute it on the sphere
+         IF(lwp) WRITE(numout,*) '          Coriolis parameter calculated on the sphere from gphif & gphit'
+         ff_f(:,:) = 2. * omega * SIN( rad * gphif(:,:) )     ! compute it on the sphere at f-point
+         ff_t(:,:) = 2. * omega * SIN( rad * gphit(:,:) )     !    -        -       -    at t-point
       ELSE
          IF(lwp) WRITE(numout,*) '          Coriolis parameter have been read in "mesh_mask" file'
@@ -153,5 +154,5 @@
    SUBROUTINE hgr_read( plamt , plamu , plamv  , plamf  ,     &    ! gridpoints position (required)
       &                 pphit , pphiu , pphiv  , pphif  ,     &     
-      &                 kff   , pff   ,                       &    ! Coriolis parameter  (if not on the sphere)
+      &                 kff   , pff_f , pff_t  ,              &    ! Coriolis parameter  (if not on the sphere)
       &                 pe1t  , pe1u  , pe1v   , pe1f   ,     &    ! scale factors       (required)
       &                 pe2t  , pe2u  , pe2v   , pe2f   ,     &
@@ -166,5 +167,5 @@
       REAL(wp), DIMENSION(:,:), INTENT(out) ::   pphit, pphiu, pphiv, pphif   ! latitude outputs
       INTEGER                 , INTENT(out) ::   kff                          ! =1 Coriolis parameter read here, =0 otherwise
-      REAL(wp), DIMENSION(:,:), INTENT(out) ::   pff                          ! Coriolis factor at f-point (if found in file)
+      REAL(wp), DIMENSION(:,:), INTENT(out) ::   pff_f, pff_t                 ! Coriolis factor at f-point (if found in file)
       REAL(wp), DIMENSION(:,:), INTENT(out) ::   pe1t, pe1u, pe1v, pe1f       ! i-scale factors 
       REAL(wp), DIMENSION(:,:), INTENT(out) ::   pe2t, pe2u, pe2v, pe2f       ! j-scale factors
@@ -210,7 +211,9 @@
       CALL iom_get( inum, jpdom_data, 'e2f'  , pe2f  , lrowattr=ln_use_jattr )
       !
-      IF( iom_varid( inum, 'ff', ldstop = .FALSE. ) > 0 ) THEN
-         IF(lwp) WRITE(numout,*) '           ff read in mesh_mask file'
-         CALL iom_get( inum, jpdom_data, 'ff'  , ff  , lrowattr=ln_use_jattr )
+      IF(  iom_varid( inum, 'ff_f', ldstop = .FALSE. ) > 0  .AND.  &
+         & iom_varid( inum, 'ff_t', ldstop = .FALSE. ) > 0    ) THEN
+         IF(lwp) WRITE(numout,*) '           Coriolis factor at f- and t-points read in mesh_mask file'
+         CALL iom_get( inum, jpdom_data, 'ff_f'  , ff_f  , lrowattr=ln_use_jattr )
+         CALL iom_get( inum, jpdom_data, 'ff_t'  , ff_t  , lrowattr=ln_use_jattr )
          kff = 1
       ELSE
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domngb.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domngb.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domngb.F90	(revision 6596)
@@ -62,13 +62,9 @@
       END SELECT
 
-      IF (jphgr_msh /= 2 .AND. jphgr_msh /= 3) THEN
-         zlon       = MOD( plon       + 720., 360. )                                     ! plon between    0 and 360
-         zglam(:,:) = MOD( zglam(:,:) + 720., 360. )                                     ! glam between    0 and 360
-         IF( zlon > 270. )   zlon = zlon - 360.                                          ! zlon between  -90 and 270
-         IF( zlon <  90. )   WHERE( zglam(:,:) > 180. ) zglam(:,:) = zglam(:,:) - 360.   ! glam between -180 and 180
-         zglam(:,:) = zglam(:,:) - zlon
-      ELSE
-         zglam(:,:) = zglam(:,:) - plon
-      END IF
+      zlon       = MOD( plon       + 720., 360. )                                     ! plon between    0 and 360
+      zglam(:,:) = MOD( zglam(:,:) + 720., 360. )                                     ! glam between    0 and 360
+      IF( zlon > 270. )   zlon = zlon - 360.                                          ! zlon between  -90 and 270
+      IF( zlon <  90. )   WHERE( zglam(:,:) > 180. ) zglam(:,:) = zglam(:,:) - 360.   ! glam between -180 and 180
+      zglam(:,:) = zglam(:,:) - zlon
 
       zgphi(:,:) = zgphi(:,:) - plat
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domwri.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domwri.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domwri.F90	(revision 6596)
@@ -256,5 +256,6 @@
       CALL iom_rstput( 0, 0, inum3, 'e2f', e2f, ktype = jp_r8 )
       
-      CALL iom_rstput( 0, 0, inum3, 'ff', ff, ktype = jp_r8 )           !    ! coriolis factor
+      CALL iom_rstput( 0, 0, inum3, 'ff_f', ff_f, ktype = jp_r8 )           !    ! coriolis factor
+      CALL iom_rstput( 0, 0, inum3, 'ff_t', ff_t, ktype = jp_r8 )
       
       ! note that mbkt is set to 1 over land ==> use surface tmask
